org.springframework.batch.item.database.orm

## Class JpaNativeQueryProvider<E>

- java.lang.Object
- - org.springframework.batch.item.database.orm.AbstractJpaQueryProvider
  - - org.springframework.batch.item.database.orm.JpaNativeQueryProvider<E>

- Type Parameters:
    `E` - entity returned by executing the query
  All Implemented Interfaces:
    JpaQueryProvider, org.springframework.beans.factory.InitializingBean

      public class JpaNativeQueryProvider<E>
      extends AbstractJpaQueryProvider

  This query provider creates JPA `Query`s from injected native SQL queries. This is useful if there is a need to utilize database-specific features such as query hints, the CONNECT keyword in Oracle, etc.

  Author:
    Anatoly Polinsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaNativeQueryProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `javax.persistence.Query` | `createQuery()` Create the query object.
    `void` | `setEntityClass(java.lang.Class<E> entityClazz)`
    `void` | `setSqlQuery(java.lang.String sqlQuery)`

    - ### Methods inherited from class org.springframework.batch.item.database.orm.AbstractJpaQueryProvider

      `getEntityManager, setEntityManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaNativeQueryProvider

          public JpaNativeQueryProvider()

  - ### Method Detail

    - #### createQuery

          public javax.persistence.Query createQuery()

      Description copied from interface: `JpaQueryProvider`

      Create the query object.

      Returns:
        created query

    - #### setSqlQuery

          public void setSqlQuery(java.lang.String sqlQuery)

    - #### setEntityClass

          public void setEntityClass(java.lang.Class<E> entityClazz)

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`